VSTGUI: UIAttributes Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Static Public Member Functions | List of all members
UIAttributes Class Reference
Inheritance diagram for UIAttributes:

## Public Types
using | StringArray = std::vector< std::string >

## Public Member Functions
| UIAttributes (UTF8StringPtr *attributes=nullptr)
| UIAttributes (size_t reserve)
| ~UIAttributes () noexceptoverride=default
bool | hasAttribute (const std::string &name) const
const std::string * | getAttributeValue (const std::string &name) const
void | setAttribute (const std::string &name, const std::string &value)
void | setAttribute (const std::string &name, std::string &&value)
void | setAttribute (std::string &&name, std::string &&value)
void | removeAttribute (const std::string &name)
void | setBooleanAttribute (const std::string &name, bool value)
bool | getBooleanAttribute (const std::string &name, bool &value) const
void | setIntegerAttribute (const std::string &name, int32_t value)
bool | getIntegerAttribute (const std::string &name, int32_t &value) const
void | setDoubleAttribute (const std::string &name, double value)
bool | getDoubleAttribute (const std::string &name, double &value) const
void | setPointAttribute (const std::string &name, const CPoint &p)
bool | getPointAttribute (const std::string &name, CPoint &p) const
void | setRectAttribute (const std::string &name, const CRect &r)
bool | getRectAttribute (const std::string &name, CRect &r) const
void | setStringArrayAttribute (const std::string &name, const StringArray &values)
bool | getStringArrayAttribute (const std::string &name, StringArray &values) const
void | removeAll ()
bool | store (OutputStream &stream) const
bool | restore (InputStream &stream)
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Static Public Member Functions
static std::string | pointToString (CPoint p)
static bool | stringToPoint (const std::string &str, CPoint &p)
static std::string | doubleToString (double value, uint32_t precision=6)
static bool | stringToDouble (const std::string &str, double &value)
static std::string | boolToString (bool value)
static bool | stringToBool (const std::string &str, bool &value)
static std::string | integerToString (int32_t value)
static bool | stringToInteger (const std::string &str, int32_t &value)
static std::string | rectToString (CRect r, uint32_t precision=6)
static bool | stringToRect (const std::string &str, CRect &r)
static std::string | stringArrayToString (const StringArray &values)
static bool | stringToStringArray (const std::string &str, StringArray &values)

## Member Typedef Documentation

using StringArray = std::vector<std::string>

## Constructor & Destructor Documentation

UIAttributes | ( | UTF8StringPtr * | attributes = `nullptr` | ) |
| explicit

UIAttributes | ( | size_t | reserve | ) |
| explicit

~UIAttributes | ( |  | ) |
| overridedefaultnoexcept

## Member Function Documentation

std::string boolToString | ( | bool | value | ) |
| static

std::string doubleToString | ( | double | value,
|  | uint32_t | precision = `6`
| ) |  |
| static

const std::string * getAttributeValue | ( | const std::string & | name | ) | const

bool getBooleanAttribute | ( | const std::string & | name,
|  | bool & | value
| ) |  | const

bool getDoubleAttribute | ( | const std::string & | name,
|  | double & | value
| ) |  | const

bool getIntegerAttribute | ( | const std::string & | name,
|  | int32_t & | value
| ) |  | const

bool getPointAttribute | ( | const std::string & | name,
|  | CPoint & | p
| ) |  | const

bool getRectAttribute | ( | const std::string & | name,
|  | CRect & | r
| ) |  | const

bool getStringArrayAttribute | ( | const std::string & | name,
|  | StringArray & | values
| ) |  | const

bool hasAttribute | ( | const std::string & | name | ) | const

std::string integerToString | ( | int32_t | value | ) |
| static

std::string pointToString | ( | CPoint | p | ) |
| static

std::string rectToString | ( | CRect | r,
|  | uint32_t | precision = `6`
| ) |  |
| static

void removeAll | ( |  | ) |
| inline

void removeAttribute | ( | const std::string & | name | ) |

bool restore | ( | InputStream & | stream | ) |

void setAttribute | ( | const std::string & | name,
|  | const std::string & | value
| ) |  |

void setAttribute | ( | const std::string & | name,
|  | std::string && | value
| ) |  |

void setAttribute | ( | std::string && | name,
|  | std::string && | value
| ) |  |

void setBooleanAttribute | ( | const std::string & | name,
|  | bool | value
| ) |  |

void setDoubleAttribute | ( | const std::string & | name,
|  | double | value
| ) |  |

void setIntegerAttribute | ( | const std::string & | name,
|  | int32_t | value
| ) |  |

void setPointAttribute | ( | const std::string & | name,
|  | const CPoint & | p
| ) |  |

void setRectAttribute | ( | const std::string & | name,
|  | const CRect & | r
| ) |  |

void setStringArrayAttribute | ( | const std::string & | name,
|  | const StringArray & | values
| ) |  |

bool store | ( | OutputStream & | stream | ) | const

std::string stringArrayToString | ( | const StringArray & | values | ) |
| static

bool stringToBool | ( | const std::string & | str,
|  | bool & | value
| ) |  |
| static

bool stringToDouble | ( | const std::string & | str,
|  | double & | value
| ) |  |
| static

bool stringToInteger | ( | const std::string & | str,
|  | int32_t & | value
| ) |  |
| static

bool stringToPoint | ( | const std::string & | str,
|  | CPoint & | p
| ) |  |
| static

bool stringToRect | ( | const std::string & | str,
|  | CRect & | r
| ) |  |
| static

bool stringToStringArray | ( | const std::string & | str,
|  | StringArray & | values
| ) |  |
| static

The documentation for this class was generated from the following files:

- uiattributes.h
- uiattributes.cpp